/*******************************************************************

	Binary File Transfer Class Implementation

	(c) Copyright 1992/1993 Marco Savegnago IW3FQG

*******************************************************************/

/* pklib include */

#include <xferprot/tbinxfer.h>

TBinaryXferProtcol::TBinaryXferProtcol(TStream* stream, fstream* afstream, xferType type)
{
	theStream=stream;
    theFileStream=afstream;
	fileSize=xferCount=0L;
    isRunning=False;
    theXferType=type;
    xferOK=False;
}


Boolean TBinaryXferProtcol::write(byte* b, word n)
{
	theFileStream->write(b,n);

    return (theFileStream->fail()) ? False : True;
}

Boolean TBinaryXferProtcol::read(byte* b, word& n)
{
	theFileStream->read(b,n);

    n=theFileStream->gcount();

    return (theFileStream->fail() && !theFileStream->eof()) ? False : True;
}
